pkgRecords::Parser Class Referenceabstract
Inheritance diagram for pkgRecords::Parser:
[legend]

## Public Member Functions

virtual std::string | FileName ()
virtual std::string | SourcePkg ()
virtual std::string | SourceVer ()
virtual HashStringList | Hashes () const
virtual std::string | Maintainer ()
virtual std::string | ShortDesc (std::string const &)
virtual std::string | LongDesc (std::string const &)
std::string | ShortDesc ()
std::string | LongDesc ()
virtual std::string | Name ()
virtual std::string | Homepage ()
virtual std::string | RecordField (const char *)
virtual void | GetRec (const char *&Start, const char *&Stop)

## Protected Member Functions

virtual bool | Jump (pkgCache::VerFileIterator const &Ver)=0
virtual bool | Jump (pkgCache::DescFileIterator const &Desc)=0

## Friends

class | pkgRecords

## Member Function Documentation

## Hashes()

virtual HashStringList Hashes | ( |  | ) | const

inline virtual

return all known hashes in this record.

For authentication proposes packages come with hashsums which this method is supposed to parse and return so that clients can choose the hash to be used.

Reimplemented in debRecordParserBase.

## LongDesc()

virtual std::string LongDesc | ( | std::string const & |  | ) |

inline virtual

return long description in language from record.

If lang is empty the "best" available language will be returned as determined by the APT::Languages configuration. If a (requested) language can't be found in this record an empty string will be returned.

Reimplemented in debRecordParserBase.

## ShortDesc()

virtual std::string ShortDesc | ( | std::string const & |  | ) |

inline virtual

return short description in language from record.

See also
  LongDesc

Reimplemented in debRecordParserBase.

The documentation for this class was generated from the following files:

- apt-pkg/pkgrecords.h
- apt-pkg/pkgrecords.cc